eoTimedMonitor(3)

NAME
eoTimedMonitor - Holds a collection of monitors and only fires them when a time limit has been reached.

SYNOPSIS

#include <eoTimedMonitor.h>

Inherits eoMonitor.

  Public Member Functions
eoTimedMonitor (int seconds_)
eoMonitor & operator() (void)
The pure virtual function that needs to be implemented by the subclass.
void add (eoMonitor &mon)
virtual std::string className (void) const

  Private Attributes
clock_t last_tick
int seconds
std::vector< eoMonitor * > monitors

Detailed Description

Holds a collection of monitors and only fires them when a time limit has been reached.

Definition at line 40 of file eoTimedMonitor.h.

Author

Generated automatically by Doxygen for EO from the source code.